# Introduction

Provides a way to get geo data based on the IP of a webform submission.

* For a full description of the module, visit the project page:
  https://www.drupal.org/project/webform_ip_geo

* To submit bug reports and feature suggestions, or to track changes:
  https://www.drupal.org/project/issues/webform_ip_geo

# Required Modules

* Webform
  https://www.drupal.org/project/webform

# Installation

* Install as usual, see
  https://www.drupal.org/docs/8/extending-drupal-8/installing-contributed-modules-find-import-enable-configure-drupal-8
  for further information.
* The module will only work if an API provider module/plugin is enabled as well.
  This module has a submodule for the https://ipapi.co API

# Configuration

 * The configuration form is at `/admin/config/services/webform_ip_geo`
 * The debug-option allows to hardcode an IP to be used. This is helpful for
   local development environments that have a reserved IP for which the geo APIs
   will not be able to return any data.

# Adding custom provider
* New providers can easily be added by copying the code of the submodule
  `webform_ip_geo_ipapi_co` into a new module and to adjust the provider URL as
  well as the mapping implementation.
* If more customization is needed, see `/src/Plugin/WebfomrIpGeoPluginBase.php`


# Maintainers

Current maintainers:

 * Ben Koether (bkoether) https://www.drupal.org/u/bkoether
 * Philippe Joulot (phjou) https://www.drupal.org/u/phjou
