<?php

namespace Drupal\webform_ip_geo_ipapi_co\Plugin\WebformIpGeoPlugin;

use Drupal\webform_ip_geo\Plugin\WebformIpGeoPluginBase;

/**
 * Provider plugin for the ipapi.co API.
 *
 * @WebformIpGeoPlugin(
 *   id="ipapi_co",
 *   label="ipapi.co"
 * )
 */
class IpApiCo extends WebformIpGeoPluginBase {

  /**
   * {@inheritDoc}
   */
  public function getProviderUrl() {
    return 'https://ipapi.co/%ip/json/';
  }

  /**
   * {@inheritDoc}
   */
  public function mapProviderData(array $apiResponse) {

    return [
      '[city]' => isset($apiResponse['city']) ? $apiResponse['city'] : '',
      '[region]' => isset($apiResponse['region']) ? $apiResponse['region'] : '',
      '[region_code]' => isset($apiResponse['region_code']) ? $apiResponse['region_code'] : '',
      '[country_code]' => isset($apiResponse['country_code']) ? $apiResponse['country_code'] : '',
      '[country_code_iso3]' => isset($apiResponse['country_code_iso3']) ? $apiResponse['country_code_iso3'] : '',
      '[country_name]' => isset($apiResponse['country_name']) ? $apiResponse['country_name'] : '',
    ];

  }

}
